Subject: bug#25254: [minor] 'About' page says GuixSD is a "GNU/Linux

From: [email-masked] (Taylan Ulrich Bayırlı/Kammer)
Date: Sun, 25 Dec 2016 20:50:53 +0100

Luis Felipe López Acevedo <[email-masked]> writes:

> Instead of the current patch, however, I'd change the whole paragraph
> to something like this (a combination with the current first paragraph
> on Wikipedia):
>
> GuixSD (Guix System Distribution) is a distribution of the [GNU
> operating system][link] centered on the GNU Guix package manager. It
> uses the [Linux-libre kernel][link] by default, with the [GNU
> Hurd][link] being supported as of version 0.12.0. As a GNU
> distribution, it is committed to respecting and enhancing the
> [freedom][link] of its users, and adheres to the [GNU Free System
> Distribution Guidelines][link].

I also like this idea.  Here's a new patch.

>From b5672296e91671918035ca90370844c00f394340 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Taylan=20Ulrich=20Bay=C4=B1rl=C4=B1/Kammer?=
 <[email-masked]>
Date: Sat, 24 Dec 2016 22:14:18 +0100
Subject: [PATCH] website: about: Refine paragraph about GuixSD.

* website/www/about.scm (about-page): Say that GuixSD is a distribution
  of GNU and not a GNU/Linux distribution.  Mention use of Linux-libre
  by default and support of Hurd.
---
 website/www/about.scm | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/website/www/about.scm b/website/www/about.scm
index 38f3a1e..32646d8 100644
--- a/website/www/about.scm
+++ b/website/www/about.scm
@@ -48,8 +48,15 @@ volunteers around the world under the umbrella of the "
 		      "GNU Project") ".  "
                       " This is the official web site for both projects. ")
 
-                (p "GuixSD is a GNU/Linux distribution committed to
-respecting and enhancing "
+                (p "GuixSD (Guix System Distribution) is a distribution of the "
+                   (a (@ (href ,(gnu-url ""))) "GNU operating system")
+                   " centered on the GNU Guix package manager.  It uses the"
+                   (a (@ (href ,(gnu-url "software/linux-libre")))
+                      "Linux-libre kernel")
+                   " by default, with the "
+                   (a (@ (href ,(gnu-url "software/hurd"))) "Hurd")
+                   " being supported as of version 0.12.0.  As a GNU
+distribution, it is committed to respecting and enhancing "
                    (a (@ (href ,(gnu-url "philosophy/free-sw.html")))
                       "the freedom of its users")
                    ".  As such, it adheres to the "
-- 
2.10.2